/*!
 * \file   utl/core/impl.h
 * \brief  Implementation detail main forward header
 *
 * \copyright
 *    Copyright (C) 2018 Christos Choutouridis <christos@choutouridis.net>\n
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Lesser General Public License as
 *    published by the Free Software Foundation, either version 3
 *    of the License, or (at your option) any later version.\n
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Lesser General Public License for more details.\n
 *    You should have received a copy of the GNU Lesser General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#ifndef __utl_core_impl_h__
#define __utl_core_impl_h__

//! \defgroup core Core
//! Provide compiler feature support macros, uTL version,
//! global types etc...

// FWD include implementation details once
#include <utl/core/version.h>
#include <utl/core/types.h>
#include <utl/core/crtp.h>


#endif /* __utl_core_impl_h__ */
